Firefox 4 incompatible - pls re-code Rated 4 out of 5 stars

It was brilliant
now with FF 4

It is disabled and no longer functions.

Please recode for FF 4

Appreciated.

This review is for a previous version of the add-on (1.99.3.1-signed).